/*
 * Copyright (c) 2009, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: TestAjaxBehaviorListener.java 62525 2011-04-15 12:14:31Z dougd $
 */
package com.sun.ts.tests.jsf.api.javax_faces.event.common;

import javax.faces.event.AjaxBehaviorEvent;
import javax.faces.event.AjaxBehaviorListener;

public class TestAjaxBehaviorListener implements AjaxBehaviorListener {

    private String action = null;

    public String getActionString() {
        return action;
    }

    @Override
    public void processAjaxBehavior(AjaxBehaviorEvent arg0) {
        action = "success";
        System.out.println("Processed Action");
    }
}
